Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	Gnome solution for scanning in the desktop on top of libsane
Name:		gnome-scan
Version:	0.6.2
Release:	3
Group:		Publishing
License:	LGPLv2+
URL:		http://home.gna.org/gnomescan/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
Patch0:		gnome-scan_babl-0.1.0_api.patch	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
BuildRequires:	gettext 
#perl(XML::Parser)
BuildRequires:	desktop-file-utils gtk-doc gnome-doc-utils
Requires:	gimp
Provides:	gnomescan = %{version}-%{release}
Obsoletes:	gnomescan < 0.5


BuildRequires: libglade-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libsoup-devel

#Automatically resolved build dependencies
BuildRequires: GConf-devel
BuildRequires: ORBit2-devel
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: babl-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gegl-devel
BuildRequires: gimp-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libexif-devel
BuildRequires: libgphoto2-devel
BuildRequires: libieee1284-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libusb-devel
BuildRequires: libusb1-devel
BuildRequires: libv4l-devel
BuildRequires: libxcb-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: sane-backends-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Gnome Scan provide a library for use by applications (e.g. using
plugins) as well as a tiny standalone application, called flegita,
which allow to simply save scan to file.

%package libs
Summary:	Gnome-scan library
Group:		Development/Libraries
Obsoletes:	gnomescan < 0.5

%description libs
Libraries for using gnome-scan

%package devel
Summary:	Development files for gnome-scan
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig gtk2+-devel
Requires:	gegl-devel libgnomeui-devel
Obsoletes:      gnomescan-devel < 0.5

%description devel
Contains development headers and libraries for gnome-scan

%prep
%setup -q
%patch0 -p0

%build
%configure --disable-static
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original			\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/flegita.desktop


%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post libs -p /sbin/ldconfig

%postun 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/flegita
%{_libdir}/gimp/2.0/plug-ins/flegita-gimp
%{_datadir}/applications/flegita.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/gnome-scan/

%files libs
%defattr(-,root,root,-)
%{_libdir}/libgnomescan.so.*
%{_libdir}/gnome-scan-1.0/

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-scan-1.0/
%{_libdir}/libgnomescan.so
%{_libdir}/pkgconfig/gnome-scan.pc
%doc %{_datadir}/gtk-doc/html/gnome-scan*/

%changelog
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-3
- rebuilt against webkitgtk 1.3.4
* Mon Feb 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-2
- rebuilt against gegl 0.1.2
* Sun Jan 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.6-1
- Initial release
